glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.26

Member Gio::Credentials::get_native (CredentialsType native_type)
  Parameters

    native_type | The type of native credentials to get.

  Returns
    The pointer to native credentials or `0` if the operation there is no Credentials support for the OS or if native_type isn't supported by the OS. Do not free the returned data, it is owned by credentials.
Member Gio::Credentials::get_unix_user ()
  Returns
    The UNIX user identifier or -1 if error is set.
Member Gio::Credentials::is_same_user (const Glib::RefPtr< const Credentials >& other_credentials)
  Parameters

    other_credentials | A Credentials.

  Returns
    `true` if credentials and other_credentials has the same user, `false` otherwise or if error is set.
Member Gio::Credentials::set_native (CredentialsType native_type, gpointer native)
  Parameters

    native_type | The type of native credentials to set.
    native | A pointer to native credentials.

Member Gio::Credentials::set_unix_user (uid_t uid)
  Parameters

    uid | The UNIX user identifier to set.

  Returns
    `true` if uid was set, `false` if error is set.
Member Gio::Credentials::to_string () const
  Returns
    A string that should be freed with Glib::free().
Member Gio::DBus::AnnotationInfo::info_lookup (const Glib::ArrayHandle< Glib::RefPtr< AnnotationInfo > >& annotations, const Glib::ustring& name)
  Parameters

    annotations | A `0`-terminated array of annotations or `0`.
    name | The name of the annotation to look up.

  Returns
    The value or `0` if not found. Do not free, it is owned by annotations.
Member Gio::DBus::AuthObserver::authorize_authenticated_peer (const Glib::RefPtr< const IOStream >& stream, const Glib::RefPtr< const Credentials >& credentials)
  Parameters

    stream | A IOStream for the DBusConnection.
    credentials | Credentials received from the peer or `0`.

  Returns
    `true` if the peer is authorized, `false` if not.
Member Gio::DBus::AuthObserver::signal_authorize_authenticated_peer ()
  Parameters

    stream | A IOStream for the DBusConnection.
    credentials | Credentials received from the peer or `0`.

  Returns
    `true` if the peer is authorized, `false` if not.
Member Gio::DBus::Connection::close_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_dbus_connection_close().

  Returns
    `true` if the operation succeeded, `false` if error is set.
Member Gio::DBus::Connection::close_sync (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | A Cancellable or `0`.

  Returns
    `true` if the operation succeeded, `false` if error is set.
Member Gio::DBus::Connection::create (const Glib::RefPtr< IOStream >& stream, const std::string& guid, const Glib::RefPtr< AuthObserver >& observer, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    stream | A IOStream.
    guid | The GUID to use if a authenticating as a server or `0`.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.
    slot | A SlotAsyncReady to call when the request is satisfied.
    user_data | The data to pass to callback.

Member Gio::DBus::Connection::create (const Glib::RefPtr< IOStream >& stream, const std::string& guid, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    stream | A IOStream.
    guid | The GUID to use if a authenticating as a server or `0`.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.
    slot | A SlotAsyncReady to call when the request is satisfied.
    user_data | The data to pass to callback.

Member Gio::DBus::Connection::create_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_dbus_connection_new().

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::create_for_address (const std::string& address, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.
    slot | A SlotAsyncReady to call when the request is satisfied.
    user_data | The data to pass to callback.

Member Gio::DBus::Connection::create_for_address (const std::string& address, const Glib::RefPtr< AuthObserver >& observer, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.
    slot | A SlotAsyncReady to call when the request is satisfied.
    user_data | The data to pass to callback.

Member Gio::DBus::Connection::create_for_address_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_dbus_connection_new().

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::create_for_address_sync (const std::string& address, const Glib::RefPtr< AuthObserver >& observer, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::create_for_address_sync (const std::string& address, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::create_sync (const Glib::RefPtr< IOStream >& stream, const std::string& guid, const Glib::RefPtr< AuthObserver >& observer, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    stream | A IOStream.
    guid | The GUID to use if a authenticating as a server or `0`.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::create_sync (const Glib::RefPtr< IOStream >& stream, const std::string& guid, const Glib::RefPtr< Cancellable >& cancellable, ConnectionFlags flags=Gio::DBus::CONNECTION_FLAGS_NONE)
  Parameters

    stream | A IOStream.
    guid | The GUID to use if a authenticating as a server or `0`.
    flags | Flags describing how to make the connection.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::flush_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_dbus_connection_flush().

  Returns
    `true` if the operation succeeded, `false` if error is set.
Member Gio::DBus::Connection::flush_sync (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | A Cancellable or `0`.

  Returns
    `true` if the operation succeeded, `false` if error is set.
Member Gio::DBus::Connection::get_capabilities () const
  Returns
    Zero or more flags from the DBusCapabilityFlags enumeration.
Member Gio::DBus::Connection::get_exit_on_close () const
  Returns
    Whether the process is terminated when connection is closed by the remote peer.
Member Gio::DBus::Connection::get_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_bus_get().

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::get_guid () const
  Returns
    The GUID. Do not free this string, it is owned by connection.
Member Gio::DBus::Connection::get_peer_credentials ()
  Returns
    A Credentials or `0` if not available. Do not free this object, it is owned by connection.
Member Gio::DBus::Connection::get_peer_credentials () const
  Returns
    A Credentials or `0` if not available. Do not free this object, it is owned by connection.
Member Gio::DBus::Connection::get_stream ()
  Returns
    The stream used for IO.
Member Gio::DBus::Connection::get_stream () const
  Returns
    The stream used for IO.
Member Gio::DBus::Connection::get_sync (BusType bus_type, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    bus_type | A BusType.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusConnection or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Connection::get_unique_name () const
  Returns
    The unique name or `0` if connection is not a message bus connection. Do not free this string, it is owned by connection.
Member Gio::DBus::Connection::is_closed () const
  Returns
    `true` if the connection is closed, `false` otherwise.
Member Gio::DBus::Connection::remove_filter (guint filter_id)
  Parameters

    filter_id | An identifier obtained from g_dbus_connection_add_filter().

Member Gio::DBus::Connection::send_message (const Glib::RefPtr< Message >& message, SendMessageFlags flags, guint32& out_serial)
  Parameters

    message | A DBusMessage.
    flags | Flags affecting how the message is sent.
    out_serial | Return location for serial number assigned to message when sending it or `0`.

  Returns
    `true` if the message was well-formed and queued for transmission, `false` if error is set.
Member Gio::DBus::Connection::send_message_with_reply_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady passed to g_dbus_connection_send_message_with_reply().

  Returns
    A locked DBusMessage or `0` if error is set.
Member Gio::DBus::Connection::set_exit_on_close (bool exit_on_close=true)
  Parameters

    exit_on_close | Whether the process should be terminated when connection is closed by the remote peer.

Member Gio::DBus::Connection::signal_closed ()
  Parameters

    remote_peer_vanished | `true` if connection is closed because the remote peer closed its end of the connection.

Member Gio::DBus::Connection::signal_unsubscribe (guint subscription_id)
  Parameters

    subscription_id | A subscription id obtained from g_dbus_connection_signal_subscribe().

Member Gio::DBus::Connection::start_message_processing ()
Member Gio::DBus::Connection::unregister_object (guint registration_id)
  Parameters

    registration_id | A registration id obtained from g_dbus_connection_register_object().

  Returns
    `true` if the object was unregistered, `false` otherwise.
Member Gio::DBus::Connection::unregister_subtree (guint registration_id)
  Parameters

    registration_id | A subtree registration id obtained from g_dbus_connection_register_subtree().

  Returns
    `true` if the subtree was unregistered, `false` otherwise.
Member Gio::DBus::InterfaceInfo::lookup_method (const Glib::ustring& name)
  Parameters

    name | A D-Bus method name (typically in CamelCase).

  Returns
    A DBusMethodInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::InterfaceInfo::lookup_method (const Glib::ustring& name) const
  Parameters

    name | A D-Bus method name (typically in CamelCase).

  Returns
    A DBusMethodInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::InterfaceInfo::lookup_property (const Glib::ustring& name)
  Parameters

    name | A D-Bus property name (typically in CamelCase).

  Returns
    A DBusPropertyInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::InterfaceInfo::lookup_property (const Glib::ustring& name) const
  Parameters

    name | A D-Bus property name (typically in CamelCase).

  Returns
    A DBusPropertyInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::InterfaceInfo::lookup_signal (const Glib::ustring& name)
  Parameters

    name | A D-Bus signal name (typically in CamelCase).

  Returns
    A DBusSignalInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::InterfaceInfo::lookup_signal (const Glib::ustring& name) const
  Parameters

    name | A D-Bus signal name (typically in CamelCase).

  Returns
    A DBusSignalInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::Message::bytes_needed (const guchar* blob, gsize blob_len)
  Parameters

    blob | A blob represent a binary D-Bus message.
    blob_len | The length of blob (must be at least 16).

  Returns
    Number of bytes needed or -1 if error is set (e.g. if blob contains invalid data or not enough data is available to determine the size).
Member Gio::DBus::Message::copy () const
  Returns
    A new DBusMessage or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Message::create ()
  Returns
    A DBusMessage. Free with Glib::object_unref().
Member Gio::DBus::Message::create_from_blob (const guchar* blob, gsize blob_len, CapabilityFlags capabilities=CAPABILITY_FLAGS_NONE)
  Parameters

    blob | A blob represent a binary D-Bus message.
    blob_len | The length of blob.
    capabilities | A DBusCapabilityFlags describing what protocol features are supported.

  Returns
    A new DBusMessage or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Message::create_method_call (const Glib::ustring& name, const Glib::ustring& path, const Glib::ustring& interface, const Glib::ustring& method)
  Parameters

    name | A valid D-Bus name or `0`.
    path | A valid object path.
    interface | A valid D-Bus interface name or `0`.
    method | A valid method name.

  Returns
    A DBusMessage. Free with Glib::object_unref().
Member Gio::DBus::Message::create_method_error_literal (const Glib::RefPtr< const Message >& method_call_message, const Glib::ustring& error_name, const Glib::ustring& error_message)
  Parameters

    error_name | A valid D-Bus error name.
    error_message | The D-Bus error message.

  Returns
    A DBusMessage. Free with Glib::object_unref().
Member Gio::DBus::Message::create_method_reply (const Glib::RefPtr< Message >& method_call_message)
  Returns
    DBusMessage. Free with Glib::object_unref().
Member Gio::DBus::Message::create_signal (const Glib::ustring& path, const Glib::ustring& interface, const Glib::ustring& signal)
  Parameters

    path | A valid object path.
    interface | A valid D-Bus interface name.
    signal | A valid signal name.

  Returns
    A DBusMessage. Free with Glib::object_unref().
Member Gio::DBus::Message::get_arg0 () const
  Returns
    The string item or `0` if the first item in the body of message is not a string.
Member Gio::DBus::Message::get_destination () const
  Returns
    The value.
Member Gio::DBus::Message::get_error_name () const
  Returns
    The value.
Member Gio::DBus::Message::get_flags () const
  Returns
    Flags that are set (typically values from the DBusMessageFlags enumeration bitwise ORed together).
Member Gio::DBus::Message::get_header_fields () const
  Returns
    An array of header fields terminated by DBUS_MESSAGE_HEADER_FIELD_INVALID. Each element is a #guchar. Free with Glib::free().
Member Gio::DBus::Message::get_interface () const
  Returns
    The value.
Member Gio::DBus::Message::get_locked () const
  Returns
    `true` if message is locked, `false` otherwise.
Member Gio::DBus::Message::get_member () const
  Returns
    The value.
Member Gio::DBus::Message::get_message_type () const
  Returns
    A 8-bit unsigned integer (typically a value from the DBusMessageType enumeration).
Member Gio::DBus::Message::get_num_unix_fds () const
  Returns
    The value.
Member Gio::DBus::Message::get_path () const
  Returns
    The value.
Member Gio::DBus::Message::get_reply_serial () const
  Returns
    The value.
Member Gio::DBus::Message::get_sender () const
  Returns
    The value.
Member Gio::DBus::Message::get_serial () const
  Returns
    A #guint32.
Member Gio::DBus::Message::get_signature () const
  Returns
    The value.
Member Gio::DBus::Message::get_unix_fd_list ()
  Returns
    A UnixFDList or `0` if no file descriptors are associated. Do not free, this object is owned by message.
Member Gio::DBus::Message::get_unix_fd_list () const
  Returns
    A UnixFDList or `0` if no file descriptors are associated. Do not free, this object is owned by message.
Member Gio::DBus::Message::lock ()
Member Gio::DBus::Message::print (guint indent)
  Parameters

    indent | Indentation level.

  Returns
    A string that should be freed with Glib::free().
Member Gio::DBus::Message::set_body (const Glib::VariantBase& body)
  Parameters

    body | Either `0` or a Variant that is a tuple.

Member Gio::DBus::Message::set_destination (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_error_name (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_flags (MessageFlags flags)
  Parameters

    flags | Flags for message that are set (typically values from the DBusMessageFlags enumeration bitwise ORed together).

Member Gio::DBus::Message::set_header (MessageHeaderField header_field, const Glib::VariantBase& value)
  Parameters

    header_field | A 8-bit unsigned integer (typically a value from the DBusMessageHeaderField enumeration).
    value | A Variant to set the header field or `0` to clear the header field.

Member Gio::DBus::Message::set_interface (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_member (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_message_type (MessageType type)
  Parameters

    type | A 8-bit unsigned integer (typically a value from the DBusMessageType enumeration).

Member Gio::DBus::Message::set_num_unix_fds (guint32 value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_path (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_reply_serial (guint32 value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_sender (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_serial (guint32 serial)
  Parameters

    serial | A #guint32.

Member Gio::DBus::Message::set_signature (const Glib::ustring& value)
  Parameters

    value | The value to set.

Member Gio::DBus::Message::set_unix_fd_list (const Glib::RefPtr< UnixFDList >& fd_list)
  Parameters

    fd_list | A UnixFDList or `0`.

Member Gio::DBus::Message::to_blob (gsize& out_size, CapabilityFlags capabilities=CAPABILITY_FLAGS_NONE)
  Parameters

    out_size | Return location for size of generated blob.
    capabilities | A DBusCapabilityFlags describing what protocol features are supported.

  Returns
    A pointer to a valid binary D-Bus message of out_size bytes generated by message or `0` if error is set. Free with Glib::free().
Member Gio::DBus::Message::to_exception ()
  Returns
    `true` if error was set, `false` otherwise.
Member Gio::DBus::MethodInvocation::get_connection ()
  Returns
    A DBusConnection. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_connection () const
  Returns
    A DBusConnection. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_interface_name () const
  Returns
    A string. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_message ()
  Returns
    DBusMessage. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_message () const
  Returns
    DBusMessage. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_method_info () const
  Returns
    A DBusMethodInfo or `0`. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_method_name () const
  Returns
    A string. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_object_path () const
  Returns
    A string. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_parameters () const
  Returns
    A Variant tuple. Do not unref this because it is owned by invocation.
Member Gio::DBus::MethodInvocation::get_sender () const
  Returns
    A string. Do not free, it is owned by invocation.
Member Gio::DBus::MethodInvocation::return_dbus_error (const Glib::ustring& error_name, const Glib::ustring& error_message)
  Parameters

    error_name | A valid D-Bus error name.
    error_message | A valid D-Bus error message.

Member Gio::DBus::MethodInvocation::return_error (const Glib::ustring& domain, int code, const Glib::ustring& message)
  Parameters

    domain | A Quark for the Error error domain.
    code | The error code.
    message | The error message.

Member Gio::DBus::MethodInvocation::return_error (const Glib::Error& error)
Member Gio::DBus::MethodInvocation::return_value (const Glib::VariantContainerBase& parameters)
  Parameters

    parameters | A Variant tuple with out parameters for the method or `0` if not passing any parameters.

Member Gio::DBus::NodeInfo::create_for_xml (const Glib::ustring& xml_data)
  Parameters

    xml_data | Valid D-Bus introspection XML.

  Returns
    A DBusNodeInfo structure or `0` if error is set. Free with g_dbus_node_info_unref().
Member Gio::DBus::NodeInfo::lookup_interface (const Glib::ustring& name)
  Parameters

    name | A D-Bus interface name.

  Returns
    A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::NodeInfo::lookup_interface (const Glib::ustring& name) const
  Parameters

    name | A D-Bus interface name.

  Returns
    A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.
Member Gio::DBus::Proxy::call (const Glib::ustring& method_name, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::VariantContainerBase& parameters=Glib::VariantContainerBase(), int timeout_msec=-1, CallFlags flags=Gio::DBus::CALL_FLAGS_NONE)
  Parameters

    method_name | Name of method to invoke.
    parameters | A Variant tuple with parameters for the signal or `0` if not passing parameters.
    flags | Flags from the DBusCallFlags enumeration.
    timeout_msec | The timeout in milliseconds (with MAXINT meaning "infinite") or -1 to use the proxy default timeout.
    cancellable | A Cancellable or `0`.
    slot | A SlotAsyncReady to call when the request is satisfied or `0` if you don't care about the result of the method invocation.
    user_data | The data to pass to callback.

Member Gio::DBus::Proxy::create (const Glib::RefPtr< Connection >& connection, const Glib::ustring& name, const Glib::ustring& object_path, const Glib::ustring& interface_name, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< InterfaceInfo >& info=Glib::RefPtr< InterfaceInfo >(), ProxyFlags flags=PROXY_FLAGS_NONE)
  Parameters

    connection | A DBusConnection.
    flags | Flags used when constructing the proxy.
    info | A DBusInterfaceInfo specifying the minimal interface that proxy conforms to or `0`.
    name | A bus name (well-known or unique) or `0` if connection is not a message bus connection.
    object_path | An object path.
    interface_name | A D-Bus interface name.
    cancellable | A Cancellable or `0`.
    slot | Callback function to invoke when the proxy is ready.
    user_data | User data to pass to callback.

Member Gio::DBus::Proxy::create_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady function passed to g_dbus_proxy_new().

  Returns
    A DBusProxy or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Proxy::create_for_bus (BusType bus_type, const Glib::ustring& name, const Glib::ustring& object_path, const Glib::ustring& interface_name, const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< InterfaceInfo >& info=Glib::RefPtr< InterfaceInfo >(), ProxyFlags flags=PROXY_FLAGS_NONE)
  Parameters

    bus_type | A BusType.
    flags | Flags used when constructing the proxy.
    info | A DBusInterfaceInfo specifying the minimal interface that proxy conforms to or `0`.
    name | A bus name (well-known or unique).
    object_path | An object path.
    interface_name | A D-Bus interface name.
    cancellable | A Cancellable or `0`.
    slot | Callback function to invoke when the proxy is ready.
    user_data | User data to pass to callback.

Member Gio::DBus::Proxy::create_for_bus_finish (const Glib::RefPtr< AsyncResult >& res)
  Parameters

    res | A AsyncResult obtained from the SlotAsyncReady function passed to g_dbus_proxy_new_for_bus().

  Returns
    A DBusProxy or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Proxy::create_for_bus_sync (BusType bus_type, const Glib::ustring& name, const Glib::ustring& object_path, const Glib::ustring& interface_name, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< InterfaceInfo >& info=Glib::RefPtr< InterfaceInfo >(), ProxyFlags flags=PROXY_FLAGS_NONE)
  Parameters

    bus_type | A BusType.
    flags | Flags used when constructing the proxy.
    info | A DBusInterfaceInfo specifying the minimal interface that proxy conforms to or `0`.
    name | A bus name (well-known or unique).
    object_path | An object path.
    interface_name | A D-Bus interface name.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusProxy or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Proxy::create_sync (const Glib::RefPtr< Connection >& connection, const Glib::ustring& name, const Glib::ustring& object_path, const Glib::ustring& interface_name, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< InterfaceInfo >& info=Glib::RefPtr< InterfaceInfo >(), ProxyFlags flags=PROXY_FLAGS_NONE)
  Parameters

    connection | A DBusConnection.
    flags | Flags used when constructing the proxy.
    info | A DBusInterfaceInfo specifying the minimal interface that proxy conforms to or `0`.
    name | A bus name (well-known or unique) or `0` if connection is not a message bus connection.
    object_path | An object path.
    interface_name | A D-Bus interface name.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusProxy or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Proxy::get_cached_property_names () const
  Returns
    A `0`-terminated array of strings or `0` if proxy has no cached properties. Free the returned array with Glib::strfreev().
Member Gio::DBus::Proxy::get_connection ()
  Returns
    A DBusConnection owned by proxy. Do not free.
Member Gio::DBus::Proxy::get_connection () const
  Returns
    A DBusConnection owned by proxy. Do not free.
Member Gio::DBus::Proxy::get_default_timeout () const
  Returns
    Timeout to use for proxy.
Member Gio::DBus::Proxy::get_flags () const
  Returns
    Flags from the DBusProxyFlags enumeration.
Member Gio::DBus::Proxy::get_interface_info ()
  Returns
    A DBusInterfaceInfo or `0`. Do not unref the returned object, it is owned by proxy.
Member Gio::DBus::Proxy::get_interface_info () const
  Returns
    A DBusInterfaceInfo or `0`. Do not unref the returned object, it is owned by proxy.
Member Gio::DBus::Proxy::get_interface_name () const
  Returns
    A string owned by proxy. Do not free.
Member Gio::DBus::Proxy::get_name () const
  Returns
    A string owned by proxy. Do not free.
Member Gio::DBus::Proxy::get_name_owner () const
  Returns
    The name owner or `0` if no name owner exists. Free with Glib::free().
Member Gio::DBus::Proxy::get_object_path () const
  Returns
    A string owned by proxy. Do not free.
Member Gio::DBus::Proxy::set_cached_property (const Glib::ustring& property_name, const Glib::VariantBase& value)
  Parameters

    property_name | Property name.
    value | Value for the property or `0` to remove it from the cache.

Member Gio::DBus::Proxy::set_default_timeout (int timeout_msec=-1)
  Parameters

    timeout_msec | Timeout in milliseconds.

Member Gio::DBus::Proxy::set_interface_info (const Glib::RefPtr< InterfaceInfo >& info)
  Parameters

    info | Minimum interface this proxy conforms to or `0` to unset.

Member Gio::DBus::Proxy::signal_properties_changed ()
  Parameters

    changed_properties | A Variant containing the properties that changed.
    invalidated_properties | A `0` terminated array of properties that was invalidated.

Member Gio::DBus::Proxy::signal_signal ()
  Parameters

    sender_name | The sender of the signal or `0` if the connection is not a bus connection.
    signal_name | The name of the signal.
    parameters | A Variant tuple with parameters for the signal.

Member Gio::DBus::Server::create_sync (const std::string& address, const std::string& guid, const Glib::RefPtr< AuthObserver >& observer, const Glib::RefPtr< Cancellable >& cancellable, ServerFlags flags=Gio::DBus::SERVER_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags from the DBusServerFlags enumeration.
    guid | A D-Bus GUID.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusServer or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Server::create_sync (const std::string& address, const std::string& guid, const Glib::RefPtr< Cancellable >& cancellable, ServerFlags flags=Gio::DBus::SERVER_FLAGS_NONE)
  Parameters

    address | A D-Bus address.
    flags | Flags from the DBusServerFlags enumeration.
    guid | A D-Bus GUID.
    observer | A DBusAuthObserver or `0`.
    cancellable | A Cancellable or `0`.

  Returns
    A DBusServer or `0` if error is set. Free with Glib::object_unref().
Member Gio::DBus::Server::get_client_address () const
  Returns
    A D-Bus address string. Do not free, the string is owned by server.
Member Gio::DBus::Server::get_flags () const
  Returns
    A set of flags from the DBusServerFlags enumeration.
Member Gio::DBus::Server::get_guid () const
  Returns
    A D-Bus GUID. Do not free this string, it is owned by server.
Member Gio::DBus::Server::is_active () const
  Returns
    `true` if server is active, `false` otherwise.
Member Gio::DBus::Server::signal_new_connection ()
  Parameters

    connection | A DBusConnection for the new connection.

  Returns
    `true` to claim connection, `false` to let other handlers run.
Member Gio::DBus::Server::start ()
Member Gio::DBus::Server::stop ()
Member Gio::MemoryOutputStream::steal_data ()
  Returns
    The stream's data.
Member Gio::NetworkAddress::get_scheme () const
  Returns
    addr's scheme (`0` if not built from URI).
Member Gio::NetworkService::get_scheme () const
  Returns
    srv's scheme name.
Member Gio::NetworkService::set_scheme (const Glib::ustring& scheme)
  Parameters

    scheme | A URI scheme.

Member Gio::Proxy::connect (const Glib::RefPtr< IOStream >& connection, const Glib::RefPtr< const ProxyAddress >& proxy_address, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    connection | A IOStream.
    proxy_address | A ProxyAddress.
    cancellable | A Cancellable.

  Returns
    A IOStream that will replace connection. This might be the same as connection, in which case a reference will be added.
Member Gio::Proxy::connect_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A IOStream.
Member Gio::Proxy::get_default_for_protocol (const Glib::ustring& protocol)
  Parameters

    protocol | The proxy protocol name (e.g. http, socks, etc).

  Returns
    Return a Proxy or `0` if protocol is not supported.
Member Gio::Proxy::supports_hostname () const
  Returns
    `true` if hostname resolution is supported.
Member Gio::ProxyAddress::get_destination_hostname () const
  Returns
    The proxy's destination hostname.
Member Gio::ProxyAddress::get_destination_port () const
  Returns
    The proxy's destination port.
Member Gio::ProxyAddress::get_password () const
  Returns
    The proxy's password.
Member Gio::ProxyAddress::get_protocol () const
  Returns
    The proxy's protocol.
Member Gio::ProxyAddress::get_username () const
  Returns
    The proxy's username.
Member Gio::ProxyResolver::get_default ()
  Returns
    The default ProxyResolver.
Member Gio::ProxyResolver::is_supported () const
  Returns
    `true` if resolver is supported.
Member Gio::ProxyResolver::lookup (const Glib::ustring& uri, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    uri | A URI representing the destination to connect to.
    cancellable | A Cancellable, or `0`.

  Returns
    A `0`-terminated array of proxy URIs. Must be freed with Glib::strfreev().
Member Gio::ProxyResolver::lookup_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | The result passed to your SlotAsyncReady.

  Returns
    A `0`-terminated array of proxy URIs. Must be freed with Glib::strfreev().
Member Gio::Settings::bind (const Glib::ustring& key, Glib::ObjectBase* object, const Glib::ustring& property, SettingsBindFlags flags=SETTINGS_BIND_DEFAULT)
Member Gio::Settings::bind_writable (const Glib::ustring& key, Glib::ObjectBase* object, const Glib::ustring& property, bool inverted=false)
Member Gio::Settings::delay ()
Member Gio::Settings::get_boolean (const Glib::ustring& key) const
Member Gio::Settings::get_child (const Glib::ustring& name)
Member Gio::Settings::get_child (const Glib::ustring& name) const
Member Gio::Settings::get_double (const Glib::ustring& key) const
Member Gio::Settings::get_enum (const Glib::ustring& key) const
Member Gio::Settings::get_flags (const Glib::ustring& key) const
Member Gio::Settings::get_has_unapplied () const
Member Gio::Settings::get_int (const Glib::ustring& key) const
Member Gio::Settings::get_string (const Glib::ustring& key) const
Member Gio::Settings::get_string_array (const Glib::ustring& key) const
Member Gio::Settings::is_writable (const Glib::ustring& name) const
Member Gio::Settings::list_schemas ()
Member Gio::Settings::set_boolean (const Glib::ustring& key, bool value)
Member Gio::Settings::set_double (const Glib::ustring& key, double value)
Member Gio::Settings::set_int (const Glib::ustring& key, int value)
Member Gio::Settings::set_string (const Glib::ustring& key, const Glib::ustring& value)
Member Gio::Settings::set_string_array (const Glib::ustring& key, const Glib::StringArrayHandle& value)
Member Gio::Settings::set_value (const Glib::ustring& key, const Glib::VariantBase& value)
Member Gio::Socket::get_credentials ()
  Returns
    `0` if error is set, otherwise a Credentials object that must be freed with Glib::object_unref().
Member Gio::Socket::get_credentials () const
  Returns
    `0` if error is set, otherwise a Credentials object that must be freed with Glib::object_unref().
Member Gio::Socket::get_timeout () const
  Returns
    The timeout in seconds.
Member Gio::Socket::receive_with_blocking (gchar* buffer, gsize size, bool blocking, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
  Parameters

    buffer | A buffer to read data into (which should be at least size bytes long).
    size | The number of bytes you want to read from the socket.
    blocking | Whether to do blocking or non-blocking I/O.
    cancellable | A Cancellable or `0`.

  Returns
    Number of bytes read, or 0 if the connection was closed by the peer, or -1 on error.
Member Gio::Socket::send_with_blocking (gchar* buffer, gsize size, bool blocking, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
  Parameters

    buffer | The buffer containing the data to send.
    size | The number of bytes to send.
    blocking | Whether to do blocking or non-blocking I/O.
    cancellable | A Cancellable or `0`.

  Returns
    Number of bytes written (which may be less than size), or -1 on error.
Member Gio::Socket::set_timeout (guint timeout)
  Parameters

    timeout | The timeout for socket, in seconds, or 0 for none.

Member Gio::SocketClient::connect_to_uri (const Glib::ustring& uri, guint16 default_port, const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    uri | A network URI.
    default_port | The default port to connect to.
    cancellable | A Cancellable, or `0`.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::connect_to_uri_async (const Glib::ustring& uri, guint16 default_port, const Glib::RefPtr< Cancellable >& cancellable, const SlotAsyncReady& slot)
  Parameters

    uri | A network uri.
    default_port | The default port to connect to.
    cancellable | A Cancellable, or `0`.
    slot | A SlotAsyncReady.
    user_data | User data for the callback.

Member Gio::SocketClient::connect_to_uri_finish (const Glib::RefPtr< AsyncResult >& result)
  Parameters

    result | A AsyncResult.

  Returns
    A SocketConnection on success, `0` on error.
Member Gio::SocketClient::get_enable_proxy () const
  Returns
    Whether proxying is enabled.
Member Gio::SocketClient::get_timeout () const
  Returns
    The timeout in seconds.
Member Gio::SocketClient::set_enable_proxy (bool enable)
  Parameters

    enable | Whether to enable proxies.

Member Gio::SocketClient::set_timeout (guint timeout)
  Parameters

    timeout | The timeout.

Member Gio::SocketConnectable::proxy_enumerate ()
  Returns
    A new SocketAddressEnumerator.
Member Gio::SocketConnectable::proxy_enumerate () const
  Returns
    A new SocketAddressEnumerator.
Member Gio::UnixConnection::receive_credentials (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | A Cancellable or `0`.

  Returns
    Received credentials on success (free with Glib::object_unref()), `0` if error is set.
Member Gio::UnixConnection::receive_credentials (const Glib::RefPtr< Cancellable >& cancellable) const
  Parameters

    cancellable | A Cancellable or `0`.

  Returns
    Received credentials on success (free with Glib::object_unref()), `0` if error is set.
Member Gio::UnixConnection::send_credentials (const Glib::RefPtr< Cancellable >& cancellable)
  Parameters

    cancellable | A Cancellable or `0`.

  Returns
    `true` on success, `false` if error is set.
Member Gio::UnixCredentialsMessage::create (const Glib::RefPtr< Credentials >& credentials)
  Parameters

    credentials | A Credentials object.

  Returns
    A new UnixCredentialsMessage.
Member Gio::UnixCredentialsMessage::create ()
  Returns
    A new UnixCredentialsMessage.
Member Gio::UnixCredentialsMessage::get_credentials () const
  Returns
    A Credentials instance. Do not free, it is owned by message.
Member Gio::UnixCredentialsMessage::get_credentials ()
  Returns
    A Credentials instance. Do not free, it is owned by message.
Member Gio::UnixCredentialsMessage::is_supported ()
  Returns
    `true` if supported, `false` otherwise.
Member Gio::UnixSocketAddress::create (const std::string& path, UnixSocketAddressType type=Gio::UNIX_SOCKET_ADDRESS_ABSTRACT, int path_len=-1)
  Parameters

    path | The name.
    path_len | The length of path, or -1.
    type | A UnixSocketAddressType.

  Returns
    A new UnixSocketAddress.
Member Gio::UnixSocketAddress::get_address_type () const
  Returns
    A UnixSocketAddressType.
Member Gio::ZlibCompressor::get_file_info () const
  Returns
    A FileInfo, or `0`.
Member Gio::ZlibCompressor::get_file_info ()
  Returns
    A FileInfo, or `0`.
Member Gio::ZlibCompressor::set_file_info (const Glib::RefPtr< FileInfo >& file_info)
  Parameters

    file_info | A FileInfo.

Member Gio::ZlibDecompressor::get_file_info ()
  Returns
    A FileInfo, or `0`.
Member Gio::ZlibDecompressor::get_file_info () const
  Returns
    A FileInfo, or `0`.
Member Glib::DateTime::add (TimeSpan timespan) const
  Parameters

    timespan | A TimeSpan.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_days (int days) const
  Parameters

    days | The number of days.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_full (int years, int months, int days, int hours, int minutes, double seconds) const
  Parameters

    years | The number of years to add.
    months | The number of months to add.
    days | The number of days to add.
    hours | The number of hours to add.
    minutes | The number of minutes to add.
    seconds | The number of seconds to add.

  Returns
    The newly created DateTime that should be freed with g_date_time_unref().
Member Glib::DateTime::add_hours (int hours) const
  Parameters

    hours | The number of hours to add.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_minutes (int minutes) const
  Parameters

    minutes | The number of minutes to add.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_months (int months) const
  Parameters

    months | The number of months.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_seconds (double seconds) const
  Parameters

    seconds | The number of seconds to add.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_weeks (int weeks) const
  Parameters

    weeks | The number of weeks.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::add_years (int years) const
  Parameters

    years | The number of years.

  Returns
    The newly created DateTime which should be freed with g_date_time_unref().
Member Glib::DateTime::compare (const DateTime& other) const
  Parameters

    other | The DateTime to compare with.

  Returns
    -1, 0 or 1 if *this is less than, equal to or greater than other.
Member Glib::DateTime::create (const TimeZone& tz, int year, int month, int day, int hour, int minute, double seconds)
  Parameters

    tz | A TimeZone.
    year | The year component of the date.
    month | The month component of the date.
    day | The day component of the date.
    hour | The hour component of the date.
    minute | The minute component of the date.
    seconds | The number of seconds past the minute.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_local (int year, int month, int day, int hour, int minute, double seconds)
  Parameters

    year | The year component of the date.
    month | The month component of the date.
    day | The day component of the date.
    hour | The hour component of the date.
    minute | The minute component of the date.
    seconds | The number of seconds past the minute.

  Returns
    A DateTime, or `0`.
Member Glib::DateTime::create_now (const TimeZone& tz)
  Parameters

    tz | A TimeZone.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_local (gint64 t)
  Parameters

    t | The Unix time.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_local (const TimeVal& tv)
  Parameters

    tv | A TimeVal.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_local ()
  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_utc (gint64 t)
  Parameters

    t | The Unix time.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_utc ()
  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_now_utc (const TimeVal& tv)
  Parameters

    tv | A TimeVal.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::create_utc (int year, int month, int day, int hour, int minute, double seconds)
  Parameters

    year | The year component of the date.
    month | The month component of the date.
    day | The day component of the date.
    hour | The hour component of the date.
    minute | The minute component of the date.
    seconds | The number of seconds past the minute.

  Returns
    A DateTime, or `0`.
Member Glib::DateTime::difference (const DateTime& other) const
  Parameters

    other | The other DateTime.

  Returns
    The difference between the two DateTime, as a time span expressed in microseconds.
Member Glib::DateTime::equal (const DateTime& other) const
  Parameters

    other | The DateTime to compare with.

  Returns
    `true` if *this and other are equal.
Member Glib::DateTime::format (const Glib::ustring& format) const
  Parameters

    format | A valid UTF-8 string, containing the format for the DateTime.

  Returns
    A newly allocated string formatted to the requested format or `0` in the case that there was an error. The string should be freed with g_free().
Member Glib::DateTime::get_day_of_month () const
  Returns
    The day of the month.
Member Glib::DateTime::get_day_of_week () const
  Returns
    The day of the week.
Member Glib::DateTime::get_day_of_year () const
  Returns
    The day of the year.
Member Glib::DateTime::get_hour () const
  Returns
    The hour of the day.
Member Glib::DateTime::get_microsecond () const
  Returns
    The microsecond of the second.
Member Glib::DateTime::get_minute () const
  Returns
    The minute of the hour.
Member Glib::DateTime::get_month () const
  Returns
    The month represented by datetime.
Member Glib::DateTime::get_second () const
  Returns
    The second represented by datetime.
Member Glib::DateTime::get_seconds () const
  Returns
    The number of seconds.
Member Glib::DateTime::get_timezone_abbreviation () const
  Returns
    The time zone abbreviation. The returned string is owned by the DateTime and it should not be modified or freed.
Member Glib::DateTime::get_utc_offset () const
  Returns
    The number of microseconds that should be added to UTC to get the local time.
Member Glib::DateTime::get_week_numbering_year () const
  Returns
    The ISO 8601 week-numbering year for datetime.
Member Glib::DateTime::get_week_of_year () const
  Returns
    The ISO 8601 week number for datetime.
Member Glib::DateTime::get_year () const
  Returns
    The year represented by datetime.
Member Glib::DateTime::get_ymd (int& year, int& month, int& day) const
  Parameters

    year | The return location for the gregorian year, or `0`.
    month | The return location for the month of the year, or `0`.
    day | The return location for the day of the month, or `0`.

Member Glib::DateTime::hash () const
  Parameters

    datetime | A DateTime.

  Returns
    A `unsigned int` containing the hash.
Member Glib::DateTime::is_daylight_savings () const
  Returns
    `true` if daylight savings time is in effect.
Member Glib::DateTime::to_local () const
  Returns
    The newly created DateTime.
Member Glib::DateTime::to_timeval (TimeVal& tv) const
  Parameters

    tv | A TimeVal to modify.

  Returns
    `true` if successful, else `false`.
Member Glib::DateTime::to_timezone (const TimeZone& tz) const
  Parameters

    tz | The new TimeZone.

  Returns
    A new DateTime, or `0`.
Member Glib::DateTime::to_unix () const
  Returns
    The Unix time corresponding to datetime.
Member Glib::DateTime::to_utc () const
  Returns
    The newly created DateTime.
Member Glib::KeyFile::get_int64 (const Glib::ustring& group_name, const Glib::ustring& key) const
Member Glib::KeyFile::get_uint64 (const Glib::ustring& group_name, const Glib::ustring& key) const
Member Glib::KeyFile::set_int64 (const Glib::ustring& group_name, const Glib::ustring& key, gint64 value)
Member Glib::KeyFile::set_uint64 (const Glib::ustring& group_name, const Glib::ustring& key, guint64 value)
Member Glib::Regex::get_compile_flags () const
  Returns
    Flags from RegexCompileFlags.
Member Glib::Regex::get_match_flags () const
  Returns
    Flags from RegexMatchFlags.
Member Glib::TimeZone::adjust_time (TimeType type, gint64& time) const
  Parameters

    type | The TimeType of time.
    time | A pointer to a number of seconds since January 1, 1970.

  Returns
    The interval containing time, never -1.
Member Glib::TimeZone::create (const Glib::ustring& identifier)
  Parameters

    identifier | A timezone identifier.

  Returns
    The requested timezone.
Member Glib::TimeZone::create_local ()
  Returns
    The local timezone.
Member Glib::TimeZone::create_utc ()
  Returns
    The universal timezone.
Member Glib::TimeZone::find_interval (TimeType type, gint64 time) const
  Parameters

    type | The TimeType of time.
    time | A number of seconds since January 1, 1970.

  Returns
    The interval containing time, or -1 in case of failure.
Member Glib::TimeZone::get_abbreviation (int interval) const
  Parameters

    interval | An interval within the timezone.

  Returns
    The time zone abbreviation, which belongs to tz.
Member Glib::TimeZone::get_offset (int interval) const
  Parameters

    interval | An interval within the timezone.

  Returns
    The number of seconds that should be added to UTC to get the local time in tz.
Member Glib::TimeZone::is_dst (int interval) const
  Parameters

    interval | An interval within the timezone.

  Returns
    `true` if daylight savings time is in effect.
Class Glib::Variant< bool >

Class Glib::Variant< double >

Class Glib::Variant< gint16 >

Class Glib::Variant< gint32 >

Class Glib::Variant< gint64 >

Class Glib::Variant< guint16 >

Class Glib::Variant< guint32 >

Class Glib::Variant< guint64 >

Class Glib::Variant< unsigned char >

Member Glib::VariantBase::is_floating () const
  Returns
    Whether value is floating.